## qrca 25.04.2

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: 2019 Jonah Brüchert <jbb@kaidan.im>
# SPDX-FileCopyrightText: 2020 Nicolas Fella <nicolas.fella@gmx.de>
#
# SPDX-License-Identifier: BSD-2-Clause
cmake_minimum_required(VERSION 3.16)

# KDE Application Version, managed by release script
set (RELEASE_SERVICE_VERSION_MAJOR "25")
set (RELEASE_SERVICE_VERSION_MINOR "04")
set (RELEASE_SERVICE_VERSION_MICRO "2")
set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
project(qrca VERSION ${RELEASE_SERVICE_VERSION})

set(QT_MIN_VERSION "6.6.0")
set(KF_MIN_VERSION "6.8.0")
set(KDE_COMPILERSETTINGS_LEVEL "5.82")

find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)

# where to look first for cmake modules, before ${CMAKE_ROOT}/Modules/ is checked
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})

include(FeatureSummary)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(ECMPoQmTools)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMAddAppIcon)
include(KDEClangFormat)
include(ECMAddAndroidApk)
include(ECMQmlModule)
include(ECMDeprecationSettings)
kde_enable_exceptions()

ecm_setup_version(${RELEASE_SERVICE_VERSION} VARIABLE_PREFIX QRCA
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/src/qrca_version.h")

find_package(Qt6 ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS Core Quick Test Gui Svg QuickControls2 Multimedia)
find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS Kirigami I18n Contacts CoreAddons Notifications Prison Config)

if(NOT ANDROID)
    find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS Service KIO Crash)
    find_package(KF6 ${KF_MIN_VERSION} OPTIONAL_COMPONENTS NetworkManagerQt)
endif()

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

ecm_set_disabled_deprecation_versions(
    QT 6.8.0
    KF 6.12.0
)

add_subdirectory(src)

if (ANDROID)
    configure_file(${CMAKE_CURRENT_SOURCE_DIR}/android/version.gradle.in ${CMAKE_BINARY_DIR}/version.gradle)
endif()

if (BUILD_TESTING)
    add_subdirectory(tests)
endif()

if (NOT ANDROID)
    install(PROGRAMS org.kde.qrca.desktop DESTINATION ${KDE_INSTALL_APPDIR})
    if (TARGET KF6::NetworkManagerQt)
        install(PROGRAMS org.kde.qrca.wifi.desktop DESTINATION ${KDE_INSTALL_APPDIR})
    endif()
    install(FILES org.kde.qrca.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
    install(FILES org.kde.qrca.svg DESTINATION ${KDE_INSTALL_FULL_ICONDIR}/hicolor/scalable/apps/)
endif()

ki18n_install(po)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

=== debian/changelog ===
qrca (25.04.2-1) unstable; urgency=medium

  * Team upload.

  [ Aurélien COUDERC ]
  * New upstream release (25.04.2).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 09 Jun 2025 23:37:03 +0200

qrca (25.04.0-2) unstable; urgency=medium

  * Patch to remember the last device used
  * Patch to stop the camera on mobile to avoid battery drain

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Sat, 10 May 2025 22:09:13 +0200

qrca (25.04.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Add the configuration for the CI on salsa.
  * Bump Standards-Version to 4.7.2, no changes required.
  * Update the build dependencies according to the upstream build system:
    - set the minimum version (3.16) for cmake
    - set the minimum version (6.6.0) for the Qt packages
    - set the minimum version (6.8.0) for the KF packages
    - explicitly add gettext, qt6-declarative-dev, libkf6i18n-dev,
      libkf6coreaddons-dev, and libkf6config-dev
    - drop appstream, as it is not necessary to run the appstreamtest at build
      time
    - limit libkf6networkmanagerqt-dev as linux-any, as it is available only on
      Linux
  * Use a non-localized URL for Homepage.
  * Stop manually passing -DCMAKE_LIBRARY_ARCHITECTURE to cmake, as it is not
    needed.
  * Update debian/copyright.

 -- Pino Toscano <pino@debian.org>  Sat, 26 Apr 2025 09:50:39 +0200

qrca (25.03.90-1) unstable; urgency=medium

  * New upstream release

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Sun, 13 Apr 2025 20:07:13 +0200

qrca (25.03.70~git20250220.4ba9637f-1) unstable; urgency=medium

  * Initial release. (Closes: #1098309)

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Thu, 20 Feb 2025 22:06:00 +0100

=== debian/control ===
Source: qrca
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Salvo 'LtWorf' Tomaselli <ltworf@debian.org>,
Homepage: https://apps.kde.org/qrca/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/qrca
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/qrca.git
Rules-Requires-Root: no
Standards-Version: 4.7.2
Build-Depends: debhelper-compat (= 13),
               dh-sequence-qmldeps,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.8.0~),
               gettext,
               libkf6config-dev (>= 6.8.0~),
               libkf6contacts-dev (>= 6.8.0~),
               libkf6coreaddons-dev (>= 6.8.0~),
               libkf6crash-dev (>= 6.8.0~),
               libkf6i18n-dev (>= 6.8.0~),
               libkf6kio-dev (>= 6.8.0~),
               libkf6networkmanagerqt-dev (>= 6.8.0~) [linux-any],
               libkf6notifications-dev (>= 6.8.0~),
               libkf6prison-dev (>= 6.8.0~),
               libkf6service-dev (>= 6.8.0~),
               libkirigami-dev (>= 6.8.0~),
               qml6-module-org-kde-kirigamiaddons-formcard,
               qt6-base-dev (>= 6.6.0~),
               qt6-declarative-dev (>= 6.6.0~),
               qt6-multimedia-dev (>= 6.6.0~),
               qt6-svg-dev (>= 6.6.0~),

Package: qrca
Architecture: any
Depends: ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Description: QR code scanner and generator
 Qrca is a simple application for Plasma that lets you scan many barcode
 formats and create your own QR code images.
 .
 The GUI uses Kirigami, so it works on mobile and desktop.

## qrca 25.04.3

=== debian/changelog ===
qrca (25.04.3-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Jul 2025 07:58:20 +0100

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,17 @@
 Source: qrca
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Salvo 'LtWorf' Tomaselli <ltworf@debian.org>,
 Homepage: https://apps.kde.org/qrca/
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/qrca
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/qrca.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/qrca
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/qrca
 Rules-Requires-Root: no
 Standards-Version: 4.7.2
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-qmldeps,
-               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.8.0~),
                gettext,
                libkf6config-dev (>= 6.8.0~),

## qrca 25.07.80

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,13 +6,13 @@
 
 # KDE Application Version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
-set (RELEASE_SERVICE_VERSION_MINOR "04")
-set (RELEASE_SERVICE_VERSION_MICRO "2")
+set (RELEASE_SERVICE_VERSION_MINOR "07")
+set (RELEASE_SERVICE_VERSION_MICRO "80")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 project(qrca VERSION ${RELEASE_SERVICE_VERSION})
 
 set(QT_MIN_VERSION "6.6.0")
-set(KF_MIN_VERSION "6.8.0")
+set(KF_MIN_VERSION "6.12.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")
 
 find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
@@ -41,7 +41,7 @@
 find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS Kirigami I18n Contacts CoreAddons Notifications Prison Config)
 
 if(NOT ANDROID)
-    find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS Service KIO Crash)
+    find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS Service KIO Crash DBusAddons)
     find_package(KF6 ${KF_MIN_VERSION} OPTIONAL_COMPONENTS NetworkManagerQt)
 endif()
 
@@ -54,10 +54,6 @@
 )
 
 add_subdirectory(src)
-
-if (ANDROID)
-    configure_file(${CMAKE_CURRENT_SOURCE_DIR}/android/version.gradle.in ${CMAKE_BINARY_DIR}/version.gradle)
-endif()
 
 if (BUILD_TESTING)
     add_subdirectory(tests)

=== debian/changelog ===
qrca (25.07.80-0ubuntu1) questing; urgency=medium

  * New upstream (beta) release (25.07.80)
  * Drop included patches.
  * Update build-deps and deps with the info from cmake.

 -- Rik Mills <rikmills@kde.org>  Sat, 12 Jul 2025 18:28:38 +0100

=== debian/control ===
--- 
+++ 
@@ -9,22 +9,23 @@
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/qrca
 Rules-Requires-Root: no
 Standards-Version: 4.7.2
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-qmldeps,
-               extra-cmake-modules (>= 6.8.0~),
+               cmake (>= 3.16~),
+               extra-cmake-modules (>= 6.12.0~),
                gettext,
-               libkf6config-dev (>= 6.8.0~),
-               libkf6contacts-dev (>= 6.8.0~),
-               libkf6coreaddons-dev (>= 6.8.0~),
-               libkf6crash-dev (>= 6.8.0~),
-               libkf6i18n-dev (>= 6.8.0~),
-               libkf6kio-dev (>= 6.8.0~),
-               libkf6networkmanagerqt-dev (>= 6.8.0~) [linux-any],
-               libkf6notifications-dev (>= 6.8.0~),
-               libkf6prison-dev (>= 6.8.0~),
-               libkf6service-dev (>= 6.8.0~),
-               libkirigami-dev (>= 6.8.0~),
+               libkf6config-dev (>= 6.12.0~),
+               libkf6contacts-dev (>= 6.12.0~),
+               libkf6coreaddons-dev (>= 6.12.0~),
+               libkf6crash-dev (>= 6.12.0~),
+               libkf6dbusaddons-dev (>= 6.12.0~),
+               libkf6i18n-dev (>= 6.12.0~),
+               libkf6kio-dev (>= 6.12.0~),
+               libkf6networkmanagerqt-dev (>= 6.12.0~) [linux-any],
+               libkf6notifications-dev (>= 6.12.0~),
+               libkf6prison-dev (>= 6.12.0~),
+               libkf6service-dev (>= 6.12.0~),
+               libkirigami-dev (>= 6.12.0~),
                qml6-module-org-kde-kirigamiaddons-formcard,
                qt6-base-dev (>= 6.6.0~),
                qt6-declarative-dev (>= 6.6.0~),

## qrca 25.07.90

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 # KDE Application Version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
 set (RELEASE_SERVICE_VERSION_MINOR "07")
-set (RELEASE_SERVICE_VERSION_MICRO "80")
+set (RELEASE_SERVICE_VERSION_MICRO "90")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 project(qrca VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
qrca (25.07.90-0ubuntu1) questing; urgency=medium

  * New upstream (RC) release (25.07.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Jul 2025 18:03:49 +0100

## qrca 25.08.0

=== debian/changelog ===
qrca (25.08.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Aug 2025 11:35:20 +0100

## qrca 25.08.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,8 +6,8 @@
 
 # KDE Application Version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
-set (RELEASE_SERVICE_VERSION_MINOR "07")
-set (RELEASE_SERVICE_VERSION_MICRO "90")
+set (RELEASE_SERVICE_VERSION_MINOR "08")
+set (RELEASE_SERVICE_VERSION_MICRO "1")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 project(qrca VERSION ${RELEASE_SERVICE_VERSION})

=== tests/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2019 Jonah Brüchert <jbb@kaidan.im>
# SPDX-FileCopyrightText: 2020 Nicolas Fella <nicolas.fella@gmx.de>
# SPDX-FileCopyrightText: 2020 Volker Krause <vkrause@kde.org>
#
# SPDX-License-Identifier: BSD-2-Clause

include(ECMAddTests)

find_package(Qt6 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Test)

include_directories(../src ${CMAKE_CURRENT_BINARY_DIR}/../src)

ecm_add_test(qrcatest.cpp ../src/Qrca.cpp ../src/QrCodeContent.cpp
             TEST_NAME qrcatest
             LINK_LIBRARIES Qt::Test Qt::Core Qt::Gui KF6::I18n KF6::Contacts KF6::CoreAddons KF6::Prison KF6::PrisonScanner
)
if (NOT ANDROID)
    target_link_libraries(qrcatest KF6::KIOGui KF6::Service)
endif()
if (TARGET KF6::NetworkManagerQt)
    target_link_libraries(qrcatest KF6::NetworkManagerQt)
endif()

=== debian/changelog ===
qrca (25.08.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Sep 2025 06:59:45 +0100

=== debian/control ===
--- 
+++ 
@@ -9,9 +9,9 @@
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/qrca
 Rules-Requires-Root: no
 Standards-Version: 4.7.2
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-qmldeps,
-               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.12.0~),
                gettext,
                libkf6config-dev (>= 6.12.0~),

## qrca 25.08.2

=== debian/changelog ===
qrca (25.08.2-0ubuntu1~tux1) noble; urgency=medium

  * backporting packaging for TUXEDO OS from ubuntu resolute

 -- TUXEDO Computers <tux@tuxedocomputers.com>  Thu, 06 Nov 2025 23:02:10 +0000

qrca (25.08.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 17 Oct 2025 11:59:25 +0100

## qrca 25.08.2+p24.04+vstable+git20251011.1303

=== debian/changelog ===
qrca (25.08.2+p24.04+vstable+git20251011.1303-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 11 Oct 2025 13:03:53 +0000

qrca (25.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 06:28:29 +0000

qrca (25.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Sep 2025 12:02:10 +0000

qrca (25.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 14 Aug 2025 15:22:39 +0000

qrca (25.04.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 05 Jul 2025 23:57:29 +0000

qrca (25.04.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jun 2025 12:49:20 +0000

qrca (25.04.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 08 May 2025 06:13:39 +0000

qrca (25.04.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Apr 2025 13:23:59 +0000

qrca (21.06-0neon) noble; urgency=medium

  [ Jonathan Riddell ]
  * new release

 -- Neon CI <neon@kde.org>  Thu, 10 Jun 2021 10:47:55 +0000

## qrca 25.08.2+p24.04+vstable+git20251019.0602

=== debian/changelog ===
qrca (25.08.2+p24.04+vstable+git20251019.0602-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 06:02:01 +0000

## qrca 25.08.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 # KDE Application Version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
 set (RELEASE_SERVICE_VERSION_MINOR "08")
-set (RELEASE_SERVICE_VERSION_MICRO "1")
+set (RELEASE_SERVICE_VERSION_MICRO "3")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 project(qrca VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
qrca (25.08.3-0zneon+24.04+noble+release+build13) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Thu, 06 Nov 2025 21:01:06 +0000

qrca (25.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 00:32:55 +1000

=== debian/control ===
Source: qrca
Section: kde
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kcontacts-dev,
               kf6-kcoreaddons-dev,
               kf6-ki18n-dev,
               kf6-kio-dev,
               kf6-kirigami2-dev,
               kf6-knotifications-dev,
               kf6-kservice-dev,
               kf6-networkmanager-qt-dev,
               kf6-prison-dev,
               kf6-purpose-dev,
               libzxing-dev,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-multimedia-dev,
               qt6-svg-dev
Standards-Version: 4.6.2
Vcs-Git: https://invent.kde.org/neon/neon-packaging/qrca.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/qrca
Maintainer: Neon CI <neon@kde.org>

Package: qrca
Architecture: any
Depends: qml6-module-org-kde-kirigami2,
         qml6-module-qtquick-controls,
         qt6-multimedia,
         ${misc:Depends},
         ${shlibs:Depends}
Description: QR code scanner Plasma Mobile
 Scans Qt codes from your mobile.

## qrca 25.08.3+p24.04+vunstable+git20251206.0746

=== debian/changelog ===
qrca (25.08.3+p24.04+vunstable+git20251206.0746-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 06 Dec 2025 07:46:23 +0000

## qrca 25.11.80

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,8 +6,8 @@
 
 # KDE Application Version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
-set (RELEASE_SERVICE_VERSION_MINOR "08")
-set (RELEASE_SERVICE_VERSION_MICRO "3")
+set (RELEASE_SERVICE_VERSION_MINOR "11")
+set (RELEASE_SERVICE_VERSION_MICRO "80")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 project(qrca VERSION ${RELEASE_SERVICE_VERSION})
 
@@ -39,6 +39,7 @@
 
 find_package(Qt6 ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS Core Quick Test Gui Svg QuickControls2 Multimedia)
 find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS Kirigami I18n Contacts CoreAddons Notifications Prison Config)
+find_package(KF6KirigamiAddons REQUIRED)
 
 if(NOT ANDROID)
     find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS Service KIO Crash DBusAddons)

=== src/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2019 Jonah Brüchert <jbb@kaidan.im>
# SPDX-FileCopyrightText: 2020 Nicolas Fella <nicolas.fella@gmx.de>
#
# SPDX-License-Identifier: BSD-2-Clause

if (TARGET KF6::NetworkManagerQt)
    set(HAVE_NETWORKMANAGER TRUE)
endif()
configure_file(config-qrca.h.in ${CMAKE_CURRENT_BINARY_DIR}/config-qrca.h)

set(qrca_SRCS
    main.cpp
    Qrca.cpp
    QrCodeContent.cpp
    notificationmanager.cpp
    clipboard.cpp
)

add_executable(qrca ${qrca_SRCS})

ecm_add_qml_module(qrca URI "org.kde.qrca" VERSION 1.0)

ecm_target_qml_sources(qrca SOURCES
    qml/Main.qml
    qml/QrCodeScannerPage.qml
    qml/QrCodeEncoderPage.qml
    qml/AboutPage.qml
)

file(GLOB ICONS_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/../icons/*.png")
ecm_add_app_icon(qrca ICONS ${ICONS_SRCS})

target_link_libraries(qrca PRIVATE Qt::Core Qt::Qml Qt::Quick Qt::QuickControls2 Qt::Svg Qt::Multimedia KF6::I18n KF6::Contacts KF6::CoreAddons KF6::Notifications KF6::Prison KF6::PrisonScanner KF6::I18nQml)

if (TARGET KF6::NetworkManagerQt)
    target_link_libraries(qrca PRIVATE KF6::NetworkManagerQt)
endif()

target_compile_definitions(qrca PRIVATE -DQT_NO_CAST_FROM_ASCII)

if(ANDROID)
    target_link_libraries(qrca PRIVATE Qt::Svg KF6::Kirigami)

    kirigami_package_breeze_icons(ICONS
        ${KIRIGAMI_ADDONS_ICONS}
        arrow-right
        camera-photo-symbolic
        camera-video-symbolic
        document-encrypt
        document-new-symbolic
        document-open
        document-save
        document-share
        edit-clear
        edit-copy-symbolic
        flashlight-off
        flashlight-on
        help-feedback
        internet-services
        itinerary
        license
        network-wireless
    )
    install(FILES ${CMAKE_SOURCE_DIR}/org.kde.qrca.svg  DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/kirigami/breeze-internal/icons/)
    ecm_add_android_apk(qrca ANDROID_DIR ${CMAKE_SOURCE_DIR}/android)
else()
    target_link_libraries(qrca PRIVATE Qt::Widgets KF6::KIOGui KF6::Service KF6::Crash KF6::DBusAddons)
endif()

install(TARGETS qrca ${KF_INSTALL_TARGETS_DEFAULT_ARGS})

=== debian/changelog ===
qrca (25.11.80-0ubuntu1) resolute; urgency=medium

  * New upstream (beta) release (25.11.80)
  * Update build-deps and deps with the info from cmake.

 -- Rik Mills <rikmills@kde.org>  Sun, 16 Nov 2025 05:58:05 +0000

qrca (25.08.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Nov 2025 12:20:48 +0000

=== debian/control ===
Source: qrca
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Salvo 'LtWorf' Tomaselli <ltworf@debian.org>,
Homepage: https://apps.kde.org/qrca/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/qrca
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/qrca
Rules-Requires-Root: no
Standards-Version: 4.7.2
Build-Depends: debhelper-compat (= 13),
               dh-sequence-qmldeps,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.12.0~),
               gettext,
               kirigami-addons-dev,
               libkf6config-dev (>= 6.12.0~),
               libkf6contacts-dev (>= 6.12.0~),
               libkf6coreaddons-dev (>= 6.12.0~),
               libkf6crash-dev (>= 6.12.0~),
               libkf6dbusaddons-dev (>= 6.12.0~),
               libkf6i18n-dev (>= 6.12.0~),
               libkf6kio-dev (>= 6.12.0~),
               libkf6networkmanagerqt-dev (>= 6.12.0~) [linux-any],
               libkf6notifications-dev (>= 6.12.0~),
               libkf6prison-dev (>= 6.12.0~),
               libkf6service-dev (>= 6.12.0~),
               libkirigami-dev (>= 6.12.0~),
               qml6-module-org-kde-kirigamiaddons-formcard,
               qt6-base-dev (>= 6.6.0~),
               qt6-declarative-dev (>= 6.6.0~),
               qt6-multimedia-dev (>= 6.6.0~),
               qt6-svg-dev (>= 6.6.0~),

Package: qrca
Architecture: any
Depends: ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Description: QR code scanner and generator
 Qrca is a simple application for Plasma that lets you scan many barcode
 formats and create your own QR code images.
 .
 The GUI uses Kirigami, so it works on mobile and desktop.

## qrca 25.11.90

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 # KDE Application Version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
 set (RELEASE_SERVICE_VERSION_MINOR "11")
-set (RELEASE_SERVICE_VERSION_MICRO "80")
+set (RELEASE_SERVICE_VERSION_MICRO "90")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 project(qrca VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
qrca (25.11.90-0ubuntu1) resolute; urgency=medium

  * New upstream (RC) release (25.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 28 Nov 2025 14:18:53 +0000

=== debian/control ===
--- 
+++ 
@@ -9,9 +9,9 @@
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/qrca
 Rules-Requires-Root: no
 Standards-Version: 4.7.2
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-qmldeps,
-               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.12.0~),
                gettext,
                kirigami-addons-dev,

## qrca 25.12.0

=== debian/changelog ===
qrca (25.12.0-0zneon+24.04+noble+release+build14) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 10:21:35 +0000

qrca (25.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 19:28:37 +1000

## qrca 25.12.0+p24.04+vstable+git20260101.0147

=== debian/changelog ===
qrca (25.12.0+p24.04+vstable+git20260101.0147-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 01 Jan 2026 01:47:23 +0000

## qrca 25.12.0+p24.04+vstable+git20260103.0446

=== debian/changelog ===
qrca (25.12.0+p24.04+vstable+git20260103.0446-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 03 Jan 2026 04:46:41 +0000

## qrca 25.12.0+p24.04+vunstable+git20251208.1826

=== debian/changelog ===
qrca (25.12.0+p24.04+vunstable+git20251208.1826-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 18:26:19 +0000

## qrca 25.12.0+p24.04+vunstable+git20251209.0338

=== debian/changelog ===
qrca (25.12.0+p24.04+vunstable+git20251209.0338-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 09 Dec 2025 03:38:15 +0000

## qrca 25.12.1

=== debian/changelog ===
qrca (25.12.1-0zneon+24.04+noble+release+build17) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Thu, 22 Jan 2026 01:03:08 +0000

qrca (25.12.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 23:16:54 +1000

## qrca 25.12.1+p24.04+vstable+git20260128.0447

=== debian/changelog ===
qrca (25.12.1+p24.04+vstable+git20260128.0447-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 28 Jan 2026 04:47:02 +0000

## qrca 25.12.1+p24.04+vstable+git20260130.0947

=== debian/changelog ===
qrca (25.12.1+p24.04+vstable+git20260130.0947-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 30 Jan 2026 09:47:53 +0000

## qrca 25.12.1+p24.04+vstable+git20260204.0149

=== debian/changelog ===
qrca (25.12.1+p24.04+vstable+git20260204.0149-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 04 Feb 2026 01:49:57 +0000

## qrca 25.12.1+p24.04+vunstable+git20260204.0050

=== debian/changelog ===
qrca (25.12.1+p24.04+vunstable+git20260204.0050-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 04 Feb 2026 00:50:56 +0000

## qrca 25.12.1+p24.04+vunstable+git20260205.0818

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,9 +5,9 @@
 cmake_minimum_required(VERSION 3.16)
 
 # KDE Application Version, managed by release script
-set (RELEASE_SERVICE_VERSION_MAJOR "25")
-set (RELEASE_SERVICE_VERSION_MINOR "11")
-set (RELEASE_SERVICE_VERSION_MICRO "90")
+set (RELEASE_SERVICE_VERSION_MAJOR "26")
+set (RELEASE_SERVICE_VERSION_MINOR "03")
+set (RELEASE_SERVICE_VERSION_MICRO "70")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 project(qrca VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
qrca (25.12.1+p24.04+vunstable+git20260205.0818-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 05 Feb 2026 08:18:19 +0000

=== debian/control ===
Source: qrca
Section: kde
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kcontacts-dev,
               kf6-kcoreaddons-dev,
               kf6-ki18n-dev,
               kf6-kio-dev,
               kf6-kirigami-addons-dev,
               kf6-kirigami-dev,
               kf6-knotifications-dev,
               kf6-kservice-dev,
               kf6-networkmanager-qt-dev,
               kf6-prison-dev,
               kf6-purpose-dev,
               libzxing-dev,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-multimedia-dev,
               qt6-svg-dev
Standards-Version: 4.6.2
Vcs-Git: https://invent.kde.org/neon/neon-packaging/qrca.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/qrca
Maintainer: Neon CI <neon@kde.org>

Package: qrca
Architecture: any
Depends: qml6-module-org-kde-kirigami2,
         qml6-module-qtquick-controls,
         qt6-multimedia,
         ${misc:Depends},
         ${shlibs:Depends}
Description: QR code scanner Plasma Mobile
 Scans Qt codes from your mobile.

## qrca 25.12.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,9 +5,9 @@
 cmake_minimum_required(VERSION 3.16)
 
 # KDE Application Version, managed by release script
-set (RELEASE_SERVICE_VERSION_MAJOR "26")
-set (RELEASE_SERVICE_VERSION_MINOR "03")
-set (RELEASE_SERVICE_VERSION_MICRO "70")
+set (RELEASE_SERVICE_VERSION_MAJOR "25")
+set (RELEASE_SERVICE_VERSION_MINOR "12")
+set (RELEASE_SERVICE_VERSION_MICRO "2")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 project(qrca VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
qrca (25.12.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Feb 2026 12:33:02 +0000

qrca (25.12.1-0ubuntu2) resolute; urgency=medium

  * No-change rebuild for kf6-kio 6.22.1.

 -- Rik Mills <rikmills@kde.org>  Thu, 22 Jan 2026 23:13:11 +0000

qrca (25.12.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jan 2026 11:19:33 +0000

qrca (25.12.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Dec 2025 12:39:00 +0000
